Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.introspect
Class ObjectIdInfo

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.ObjectIdInfo

    public class ObjectIdInfo

extends Object

Container object that encapsulates information usually derived from `JsonIdentityInfo` annotation or its custom alternatives

Field Summary
`protected boolean` | `_alwaysAsId`
`protected Class<? extends ObjectIdGenerator<?>>` | `_generator`
`protected String` | `_propertyName`
`protected Class<?>` | `_scope`

Constructor Summary
`` | `ObjectIdInfo(String prop, Class<?> scope, Class<? extends ObjectIdGenerator<?>> gen)`
`protected` | `ObjectIdInfo(String prop, Class<?> scope, Class<? extends ObjectIdGenerator<?>> gen, boolean alwaysAsId)`

Method Summary
`boolean` | `getAlwaysAsId()`
`Class<? extends ObjectIdGenerator<?>>` | `getGeneratorType()`
`String` | `getPropertyName()`
`Class<?>` | `getScope()`
`String` | `toString()`
`ObjectIdInfo` | `withAlwaysAsId(boolean state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _propertyName

    protected final String _propertyName

### _generator

    protected final Class<? extends ObjectIdGenerator<?>> _generator

### _scope

    protected final Class<?> _scope

### _alwaysAsId

    protected final boolean _alwaysAsId

Constructor Detail

### ObjectIdInfo

    public ObjectIdInfo(String prop,
                        Class<?> scope,
                        Class<? extends ObjectIdGenerator<?>> gen)

### ObjectIdInfo

    protected ObjectIdInfo(String prop,
                           Class<?> scope,
                           Class<? extends ObjectIdGenerator<?>> gen,
                           boolean alwaysAsId)

Method Detail

### withAlwaysAsId

    public ObjectIdInfo withAlwaysAsId(boolean state)

### getPropertyName

    public String getPropertyName()

### getScope

    public Class<?> getScope()

### getGeneratorType

    public Class<? extends ObjectIdGenerator<?>> getGeneratorType()

### getAlwaysAsId

    public boolean getAlwaysAsId()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.